<?php

function blog_revolution_block_render_callback($attributes) {
		$instance 				= esc_html($attributes['blockId']);

		$columns              	= esc_html($attributes['columns']);
		$source					= 'wp_posts';
		$posts_source			= 'all_posts';
		$posts_type				= '';
		$categories				= '';
		
		if(!empty($attributes['categories'])) {
			$num_cat = count($attributes['categories']);
			$i = 1;
			foreach ( $attributes['categories'] as $element ) {
				$categories .= $element['id'];
				if($i != $num_cat) {
					$categories .= ',';
				}
				$i++;
			}		
		}
		
		$categories_post_type	= '';
		$pagination				= esc_html($attributes['pagination']);
		$pagination_type		= esc_html($attributes['paginationType']);
		$num_posts_page			= '';
		$num_posts				= esc_html($attributes['numberOfPosts']);	
		$orderby				= esc_html($attributes['orderBy']);
		$order					= esc_html($attributes['order']);
		$box_align     			= esc_html($attributes['box_align']);
		$style_post    			= esc_html($attributes['layoutStyle']);
		$css_link 				= '';
		$css_current_pag_num 	= '';


		//COLONNE
		if($columns == '1') : $columns_class = 'col-md-12';  endif;
 		if($columns == '2') : $columns_class = 'col-md-6'; endif;
 		if($columns == '3') : $columns_class = 'col-md-4'; endif;
 		if(empty($num_posts)) : $num_posts = 6; endif;

		 // PAGINATION
 		if($pagination == 1) {
 			if ( get_query_var('paged') ) {
 				$paged = get_query_var('paged');
 			} elseif ( get_query_var('page') ) {
 				$paged = get_query_var('page');
 			} else {
 				$paged = 1;
 			}
			
			$num_posts_page = $num_posts;
			$num_posts = '-1';
			$pagination = 'yes';
			
 		}
 		// #PAGINATION

		 // Load More
 		if($pagination == 'load-more') :
 			$class_load_more = 'blog-revolution-bp-load-more-'.$style_post.'';
 			$class_item_load_more = 'blog-revolution-bp-item-load-more-'.$style_post.'';
 		endif;
 		// #Load More

 		// LOOP QUERY
 		$query = blog_revolution_query( $source,
 							$posts_source,
 							$posts_type,
 							$categories,
 							$categories_post_type,
 							$order,
 							$orderby,
 							$pagination,
 							$pagination_type,
 							$num_posts,
 							$num_posts_page );
		$count = 1;
		$loop = new \WP_Query($query);
		$css_style_to_append = '.blog-revolution-'.$attributes['blockId'].' { --titleColor: '.$attributes['titleColor'].'; --categoryInfoColor: '.$attributes['categoryInfoColor'].'; --textColor: '.$attributes['textColor'].';  --hoverColor: '.$attributes['hoverColor'].'}';


		$return = "<div class='blog-revolution blog-revolution-".$attributes['blockId']." box-align-".$box_align." style-".$style_post." adt-custom-js'
		data-custom-css='".$css_style_to_append."'>";

		if($loop) :
   			while ( $loop->have_posts() ) : $loop->the_post();
					$id = get_the_id();

			$return .= "<div class='". $columns_class ."'>";
				$return .= '<div class="box_post">';
					$return .= blog_revolution_box_position($attributes,$id);
				$return .= '</div>';
			$return .= "</div>";

			$count++;
			endwhile;
		endif;

		/**********************************************************************/
		/****************************** PAGINATION ****************************/
		/**********************************************************************/
		if($pagination == 'yes') {
				$return .= '<div class="clear"></div><div class="blog-revolution-bp-blogs-display-'.esc_html($instance).' blogrevolution-bp-vc-pagination">';
				if($pagination_type == 'numeric') {
					$return .= blog_revolution_posts_numeric_pagination($pages = '', $range = 2, $loop, $paged);
				} else {
					$return .= '<div class="blog-revolution-bp-pagination-normal">';
						$return .= get_next_posts_link( '<span class="older"><i class="icon-arrow-left"></i>Older blogs</span>', $loop->max_num_pages );
						$return .= get_previous_posts_link( '<span class="newer">Newer blogs<i class="icon-arrow-right"></i></span>' );
					$return .= '</div>';
				}
				$return .= '<div class="clear"></div></div>';
		}
		/**********************************************************************/
		/***************************** #PAGINATION ****************************/
		/**********************************************************************/
		
		wp_reset_query();
		$return .= '</div>';
	
		return $return;
}